Countries (JSON)
There is no
GET /v1/all. Use pagination or filters. Filter details: filter routes.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
All routes, response shapes, and pagination modes.
| Method | Path | Response | Pagination | |
|---|---|---|---|---|
| GET | /v1 | Array (≤5) | offset, page modes | |
| GET | /v1/list | Array (≤5) | Same as /v1 | |
| GET | /v1/random | Array (1 item) | offset + limit only | |
| GET | /v1/current | Single object | fields only | |
| GET | /v1/alpha/{codes} | Array | offset + limit | |
| GET | /v1/name/{name} | Array | offset + limit; ?fullText=true | |
| GET | /v1/capital/{capital} | Array | offset + limit | |
| GET | /v1/region/{region} | Array | offset + limit | |
| GET | /v1/subregion/{subregion} | Array | offset + limit | |
| GET | /v1/lang/{lang} | Array | offset + limit | |
| GET | /v1/currency/{currency} | Array | offset + limit | |
| GET | /v1/independent | Array | offset + limit; ?status=true | false |
| GET | /v1/notice | JSON notice object | None (baseline contract) |
GET /v1/all. Use pagination or filters. Filter details: filter routes.
| Host | Path | Result |
|---|---|---|
| CDN | GET /get/{code} | 301 → PNG |
| CDN | GET /get/png/{code} | 301 → PNG |
| CDN | GET /get/svg/{code} | 301 → SVG |
| API | GET /flags/get/… | Same handlers |
| Path | Format |
|---|---|
/health | JSON service health |
/openapi.json | OpenAPI 3.1 |
/llms.txt | Plain-text contract + doc index |
/changelog.txt | Plain-text release notes |
/docs.txt | Introduction (plain text) |
/docs/{page}.txt | Any docs page as plain text |
https://docs.reqi.dev | Human HTML docs (Mintlify) |